Subject: Re: [net-next 1/3] psp: Support resetting statistics on a device

From: Willem de Bruijn <[email-masked]>
Date: Fri, 06 Mar 2026 15:37:22 -0500

Akhilesh Samineni wrote:
> On Thu, Mar 5, 2026 at 7:55 PM Willem de Bruijn
> <[email-masked]> wrote:
> >
> > Akhilesh Samineni wrote:
> > > On Tue, Mar 3, 2026 at 2:45 AM Willem de Bruijn
> > > <[email-masked]> wrote:
> > > >
> > > > Akhilesh Samineni wrote:
> > > > > Drivers may need to reset per-device PSP statistics to zero.
> > > >
> > > > The series does not include rationale why this may be needed.
> > > >
> > > > What makes PSP counters special in this regard?
> > > >
> > >
> > > The PSP supports dynamic administrative states, allowing it to be
> > > enabled or disabled during runtime. Currently, statistics are
> > > persistent across these state transitions, which can lead to baseline
> > > drift and complicate telemetry analysis.
> >
> > How is this dynamic enable/disable configured, and can stats reset be
> > part of that, rather than a separate API?
> >
> 
> Instead of bundling the statistics reset with the transition to the
> disabled mode, we considered providing a separate reset operation to
> give users the flexibility to clear counters without toggling the PSP
> state.

Flexibility. And responsibility. A user process that waits on a
notification to exercise this API? That would be quite complex and
clunky.

If counter reset is expected on device disable, more robust to have
that part of the reset logic itself.